# GNU Make

DEBUG    = 1

BASE_CC  = icc /c /Ss /G5
BASE_LD  = ilink /pmtype:pm

IMPLIB   = implib /NOI
MKLIB    = ilib /NOBACKUP /CONV /NOE /NOBR

ifeq ($(DEBUG),1)
    CC      = $(BASE_CC) /Ti+ /D_NICE_DEBUG_
    LD_DLL  = $(BASE_LD) /dll /debug
    LD_EXE  = $(BASE_LD) /debug
else
    CC      = $(BASE_CC) /O+ /Oc-
    LD_DLL  = $(BASE_LD) /dll /exepack:2
    LD_EXE  = $(BASE_LD) /exepack:2
endif

VERSION = 005

all: test.exe

test.exe: test.obj
	$(LD_EXE) /o:test.exe test.obj

test.obj: test.c
	$(CC) test.c

clean:
	-del test.exe
	-del test.obj
	

